Subject: [PATCH 1/2] iommu/dma: Restore scatterlist offsets correctly

From: [email-masked] (Robin Murphy)
Date: Tue, 5 Apr 2016 15:06:41 +0100

On 05/04/16 14:33, Joerg Roedel wrote:
> On Tue, Apr 05, 2016 at 02:11:38PM +0100, Robin Murphy wrote:
>> On 05/04/16 13:59, Joerg Roedel wrote:
>>> On Thu, Mar 10, 2016 at 07:28:12PM +0000, Robin Murphy wrote:
>>>> With the change to stashing just the IOVA-page-aligned remainder of the
>>>> CPU-page offset rather than the whole thing, the failure path in
>>>> __invalidate_sg() also needs tweaking to account for that in the case of
>>>> differing page sizes where the two offsets may not be equivalent.
>>>> Similarly in __finalise_sg(), lest the architecture-specific wrappers
>>>> later get the wrong address for cache maintenance on sync or unmap.
>>>>
>>>> Fixes: 164afb1d85b8 ("iommu/dma: Use correct offset in map_sg")
>>>> Reported-by: Magnus Damm <[email-masked]>
>>>> Signed-off-by: Robin Murphy <[email-masked]>
>>>
>>> Cc: stable at ver.kernel.org # v4.4+ ?
>>
>> Good point - the kind of people using 64k pages are also likely to
>> be the ones sticking to stable kernels. Are you able to handle that,
>> or would you like me to resend?
>
> I added the tag and put the commit into my iommu/fixes branch. Can you
> re-send me the second commit when the first is upstream (I'll send the
> pull-req this week)? I'd like to avoid creating an additional
> merge-commit just for this patch.

Sure, will do - I agree there's absolutely no need to be mucking about 
with context conflicts right now.

Thanks a lot,
Robin.

>
>
> 	Joerg
>
> _______________________________________________
> iommu mailing list
> iommu at lists.linux-foundation.org
> https://lists.linuxfoundation.org/mailman/listinfo/iommu
>